Astro v2升级v3版本踩坑记录

我真是服了这个 Astro 老六了,跨版本升级居然有那么多破坏性更改,老版本建的项目直接不能用了。

可以正常启动,打开页面报错:

ReferenceError
An error occurred.
React is not defined

除了要更新 Astro 版本之外,还要更新 React 和 Tailwind 集成:

Yarn:

# 升级到 Astro v3.x
yarn add astro@latest

# 示例:升级 React 和 Tailwind 集成
yarn add @astrojs/react@latest @astrojs/tailwind@latest

更新中。。。

未经允许不得转载:Web前端开发资源网 » Astro v2升级v3版本踩坑记录

推荐阅读:

WebStorm 设置Monokai-Sublime主题配色

Bootstrap滚动监听不用offset实现向下偏移

PHPStorm 如何更改文件的打开方式

MongoDB的简单配置和基本数据操作

CSS中的background属性与margin和padding内外边距的关系总结

赞 (0)
分享到: +

评论 沙发

Avatar

换个身份

  • 昵称 (必填)
  • 邮箱 (选填)